E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GNet::ResolverImp Class Reference

A private "pimple" implementation class used by GNet::Resolver to do asynchronous name resolution. More...

Inheritance diagram for GNet::ResolverImp:

## Public Member Functions
| ResolverImp (Resolver &, ExceptionHandler &, const Location &)
void | doDelete ()

## Static Public Member Functions
static void | start (ResolverImp *, FutureEvent::handle_type)
static size_t | count ()

## Detailed Description

A private "pimple" implementation class used by GNet::Resolver to do asynchronous name resolution.

The object contains a worker thread using the future/promise pattern. Its lifetime is dependent on the worker thread, so the GNet::Resolver can only ask it to delete itself and then forget about it.

Definition at line 38 of file gresolver.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gresolver.cpp